org.keycloak.models

## Class UserFederationSyncResult

- java.lang.Object
- - org.keycloak.models.UserFederationSyncResult

-     public class UserFederationSyncResult
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationSyncResult()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(UserFederationSyncResult other)`
    `static UserFederationSyncResult` | `empty()`
    `int` | `getAdded()`
    `int` | `getFailed()`
    `int` | `getRemoved()`
    `String` | `getStatus()`
    `int` | `getUpdated()`
    `static UserFederationSyncResult` | `ignored()`
    `void` | `increaseAdded()`
    `void` | `increaseFailed()`
    `void` | `increaseRemoved()`
    `void` | `increaseUpdated()`
    `boolean` | `isIgnored()`
    `void` | `setAdded(int added)`
    `void` | `setFailed(int failed)`
    `void` | `setIgnored(boolean ignored)`
    `void` | `setRemoved(int removed)`
    `void` | `setUpdated(int updated)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserFederationSyncResult

          public UserFederationSyncResult()

  - ### Method Detail

    - #### isIgnored

          public boolean isIgnored()

    - #### setIgnored

          public void setIgnored(boolean ignored)

    - #### getAdded

          public int getAdded()

    - #### setAdded

          public void setAdded(int added)

    - #### getUpdated

          public int getUpdated()

    - #### setUpdated

          public void setUpdated(int updated)

    - #### getRemoved

          public int getRemoved()

    - #### setRemoved

          public void setRemoved(int removed)

    - #### getFailed

          public int getFailed()

    - #### setFailed

          public void setFailed(int failed)

    - #### increaseAdded

          public void increaseAdded()

    - #### increaseUpdated

          public void increaseUpdated()

    - #### increaseRemoved

          public void increaseRemoved()

    - #### increaseFailed

          public void increaseFailed()

    - #### add

          public void add(UserFederationSyncResult other)

    - #### getStatus

          public String getStatus()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### empty

          public static UserFederationSyncResult empty()

    - #### ignored

          public static UserFederationSyncResult ignored()

Copyright © 2016 JBoss by Red Hat. All rights reserved.